LegacyMetadataSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.io.sstable.metadata

## Class LegacyMetadataSerializer

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.MetadataSerializer
  - - org.apache.cassandra.io.sstable.metadata.LegacyMetadataSerializer

- All Implemented Interfaces:
    IMetadataSerializer

  Deprecated.

      @Deprecated
      public class LegacyMetadataSerializer
      extends MetadataSerializer

  Serializer for SSTable from legacy versions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyMetadataSerializer()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<MetadataType,MetadataComponent>` | `deserialize(Descriptor descriptor, java.util.EnumSet<MetadataType> types)` Deprecated. Legacy serializer deserialize all components no matter what types are specified.
    `void` | `serialize(java.util.Map<MetadataType,MetadataComponent> components, DataOutputPlus out, Version version)` Deprecated. Legacy serialization is only used for SSTable level reset.

    - ### Methods inherited from class org.apache.cassandra.io.sstable.metadata.MetadataSerializer

      `deserialize, deserialize, mutateLevel, mutateRepairedAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyMetadataSerializer

          public LegacyMetadataSerializer()

      Deprecated.

  - ### Method Detail

    - #### serialize

          public void serialize(java.util.Map<MetadataType,MetadataComponent> components,
                                DataOutputPlus out,
                                Version version)
                         throws java.io.IOException

      Deprecated.
      Legacy serialization is only used for SSTable level reset.
      Specified by:
        `serialize` in interface `IMetadataSerializer`
      Overrides:
        `serialize` in class `MetadataSerializer`
      Parameters:
        `components` - Metadata components to serialize
      Throws:
        `java.io.IOException`

    - #### deserialize

          public java.util.Map<MetadataType,MetadataComponent> deserialize(Descriptor descriptor,
                                                                           java.util.EnumSet<MetadataType> types)
                                                                    throws java.io.IOException

      Deprecated.
      Legacy serializer deserialize all components no matter what types are specified.
      Specified by:
        `deserialize` in interface `IMetadataSerializer`
      Overrides:
        `deserialize` in class `MetadataSerializer`
      Parameters:
        `descriptor` - SSTable descriptor
      Returns:
        Deserialized metadata components, in deserialized order.
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation